<?php
$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_0788425a89477a5f6ac1bd2ceb43496" . "7" => base64_decode("RVJST1I6OiBVbmtub3duIHBlcm" . "lvZCAtIA=="), "_a8fa98c95a8a496939e" . "aebfef66865b4" => base64_decode("d2Vl" . "aw=="), "_950c864c3fc8d7c4d" . "b561eea71d4aca9" => base64_decode("eWVhcg=" . "="), "_e2ecb80cd1b605a951ad84d" . "608101ac4" => base64_decode("bW9udGg" . "="), "_07e0706709" . "a15e456d666" . "4d499040d73" => base64_decode("Ym" . "l3" . "ZW" . "Vr"));






class HpDateInterval
{
    
    
    
    
    
    
    protected $start_date;
    
    
    
    
    
    
    protected $end_date;
    protected $processer;
    
    
    public function SetStartDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->start_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetEndDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->end_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetPeriod($_68865ed7b59f5ee9253afff85b97015b)
    {
        switch ($_68865ed7b59f5ee9253afff85b97015b) {
            case $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_a8fa98c95" . "a8a496939e" . "aebfef6686" . "5b4"]:
                $this->processer = new HpDateIntervalWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_07e0706709a" . "15e456d6664d" . "499040d73"]:
                $this->processer = new HpDateIntervalBiWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_e2ecb80cd1b605a951ad8" . "4d608101ac4"]:
                $this->processer = new HpDateIntervalMonth();
                break;
            case $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_950c864c3fc8d7c4db" . "561eea71d4aca9"]:
                $this->processer = new HpDateIntervalYear();
                break;
            default:
                throw new Exception($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0788425a89477a5f6ac1bd2ceb4349" . "67"] . $_68865ed7b59f5ee9253afff85b97015b);
        }
    }
    public function GetIntervalsArray()
    {
        return $this->processer->GetIntervalsArray($this->start_date, $this->end_date);
    }
}